# NOTE: Derived from blib/lib/Convert/TNEF.pm.
# Changes made here will be lost when autosplit again.
# See AutoSplit.pm.
package Convert::TNEF;

#line 708 "blib/lib/Convert/TNEF.pm (autosplit into blib/lib/auto/Convert/TNEF/longname.al)"
# Try to get the long filename out of the
# 'Attachment' attribute.
sub longname {
 my $self = shift;

 my $data = $self->data("Attachment");
 return unless $data;
 my $pos = index($data, pack("H*", "1e00013001"));
 return $self->name unless $pos >= 0;
 my $len = unpack("V", substr($data, $pos+8, 4));
 my $longname = substr($data, $pos+12, $len);
 $longname =~ s/\x00+$// if $longname;
 return $longname || $self->name;
}

# end of Convert::TNEF::longname
1;
